﻿module("VOICE")

distances = {}

distances.patterns = {
	L"100_kilometers",
	L"100_kilometers_drive",
	L"100_miles",
	L"100_miles_drive",
	L"10_kilometers",
	L"10_kilometers_drive",
	L"10_miles",
	L"10_miles_drive",
	L"150_kilometers",
	L"150_kilometers_drive",
	L"1_kilometer",
	L"1_kilometer_drive",
	L"1_mile",
	L"1_mile_drive",
	L"1point5_kilometers",
	L"1point5_kilometers_drive",
	L"200_kilometers",
	L"200_kilometers_drive",
	L"200_miles",
	L"200_miles_drive",
	L"20_kilometers",
	L"20_kilometers_drive",
	L"20_miles",
	L"20_miles_drive",
	L"250_kilometers",
	L"250_kilometers_drive",
	L"2_kilometers",
	L"2_kilometers_drive",
	L"2_miles",
	L"2_miles_drive",
	L"300_kilometers",
	L"300_kilometers_drive",
	L"300_miles",
	L"300_miles_drive",
	L"30_kilometers",
	L"30_kilometers_drive",
	L"30_miles",
	L"30_miles_drive",
	L"350_kilometers",
	L"350_kilometers_drive",
	L"3_kilometers",
	L"3_kilometers_drive",
	L"3_miles",
	L"3_miles_drive",
	L"400_kilometers",
	L"400_kilometers_drive",
	L"400_miles",
	L"400_miles_drive",
	L"40_kilometers",
	L"40_kilometers_drive",
	L"40_miles",
	L"40_miles_drive",
	L"450_kilometers",
	L"450_kilometers_drive",
	L"4_kilometers",
	L"4_kilometers_drive",
	L"4_miles",
	L"4_miles_drive",
	L"500_kilometers",
	L"500_kilometers_drive",
	L"500_miles",
	L"500_miles_drive",
	L"50_kilometers",
	L"50_kilometers_drive",
	L"50_miles",
	L"50_miles_drive",
	L"5_kilometers",
	L"5_kilometers_drive",
	L"5_miles",
	L"5_miles_drive",
	L"60_kilometers",
	L"60_kilometers_drive",
	L"60_miles",
	L"60_miles_drive",
	L"6_kilometers",
	L"6_kilometers_drive",
	L"6_miles",
	L"6_miles_drive",
	L"70_kilometers",
	L"70_kilometers_drive",
	L"70_miles",
	L"70_miles_drive",
	L"7_kilometers",
	L"7_kilometers_drive",
	L"7_miles",
	L"7_miles_drive",
	L"80_kilometers",
	L"80_kilometers_drive",
	L"80_miles",
	L"80_miles_drive",
	L"8_kilometers",
	L"8_kilometers_drive",
	L"8_miles",
	L"8_miles_drive",
	L"90_kilometers",
	L"90_kilometers_drive",
	L"90_miles",
	L"90_miles_drive",
	L"9_kilometers",
	L"9_kilometers_drive",
	L"9_miles",
	L"9_miles_drive",
	L"in_100_meters",
	L"in_150_meters",
	L"in_160_yards",
	L"in_1_kilometer",
	L"in_1_mile",
	L"in_1point5_kilometers",
	L"in_200_feet",
	L"in_200_meters",
	L"in_200_yards",
	L"in_250_meters",
	L"in_2_kilometers",
	L"in_2_miles",
	L"in_300_feet",
	L"in_300_meters",
	L"in_300_yards",
	L"in_3_kilometers",
	L"in_3_miles",
	L"in_3_quarter_mile",
	L"in_400_feet",
	L"in_400_meters",
	L"in_500_feet",
	L"in_500_meters",
	L"in_50_meters",
	L"in_50_yards",
	L"in_600_feet",
	L"in_600_meters",
	L"in_700_feet",
	L"in_700_meters",
	L"in_800_feet",
	L"in_800_meters",
	L"in_900_feet",
	L"in_900_meters",
	L"in_half_mile",
	L"in_quarter_mile",
	L"trip",
}

distances.meters = {
	0, "\125\0\0\0",
	50, "\125\0\0\0",
	100, "\103\0\0\0",
	150, "\104\0\0\0",
	200, "\110\0\0\0",
	250, "\112\0\0\0",
	300, "\116\0\0\0",
	400, "\122\0\0\0",
	500, "\124\0\0\0",
	600, "\129\0\0\0\0",
	700, "\129\2\0\0\0",
	800, "\129\4\0\0\0",
	900, "\129\6\0\0\0",
	1000, "\106\0\12\0\129\9\11\0",
	1100, "\106\0\12\0\129\9\11\0",
	1200, "\106\0\12\0\129\9\11\0",
	1300, "\106\0\12\0\129\9\11\0",
	1400, "\106\0\12\0\129\9\11\0",
	1500, "\108\0\16\0\129\9\15\0",
	1600, "\108\0\16\0\129\9\15\0",
	1700, "\108\0\16\0\129\9\15\0",
	1800, "\108\0\16\0\129\9\15\0",
	1900, "\108\0\16\0\129\9\15\0",
	2000, "\113\0\28\0\129\9\27\0",
	2100, "\113\0\28\0\129\9\27\0",
	2200, "\113\0\28\0\129\9\27\0",
	2300, "\113\0\28\0\129\9\27\0",
	2400, "\113\0\28\0\129\9\27\0",
	2500, "\113\0\28\0\129\9\27\0",
	2600, "\113\0\28\0\129\9\27\0",
	2700, "\113\0\28\0\129\9\27\0",
	2800, "\113\0\28\0\129\9\27\0",
	2900, "\113\0\28\0\129\9\27\0",
	3000, "\118\0\42\0\129\9\41\0",
	3100, "\118\0\42\0\129\9\41\0",
	3200, "\118\0\42\0\129\9\41\0",
	3300, "\118\0\42\0\129\9\41\0",
	3400, "\118\0\42\0\129\9\41\0",
	3500, "\118\0\42\0\129\9\41\0",
	3600, "\118\0\42\0\129\9\41\0",
	3700, "\118\0\42\0\129\9\41\0",
	3800, "\118\0\42\0\129\9\41\0",
	3900, "\118\0\42\0\129\9\41\0",
	4000, "\56\0\56\0\129\9\55\0",
	4100, "\56\0\56\0\129\9\55\0",
	4200, "\56\0\56\0\129\9\55\0",
	4300, "\56\0\56\0\129\9\55\0",
	4400, "\56\0\56\0\129\9\55\0",
	4500, "\56\0\56\0\129\9\55\0",
	4600, "\56\0\56\0\129\9\55\0",
	4700, "\56\0\56\0\129\9\55\0",
	4800, "\56\0\56\0\129\9\55\0",
	4900, "\56\0\56\0\129\9\55\0",
	5000, "\68\0\68\0\129\9\67\0",
	5100, "\68\0\68\0\129\9\67\0",
	5200, "\68\0\68\0\129\9\67\0",
	5300, "\68\0\68\0\129\9\67\0",
	5400, "\68\0\68\0\129\9\67\0",
	5500, "\68\0\68\0\129\9\67\0",
	5600, "\68\0\68\0\129\9\67\0",
	5700, "\68\0\68\0\129\9\67\0",
	5800, "\68\0\68\0\129\9\67\0",
	5900, "\68\0\68\0\129\9\67\0",
	6000, "\76\0\76\0\129\9\75\0",
	6100, "\76\0\76\0\129\9\75\0",
	6200, "\76\0\76\0\129\9\75\0",
	6300, "\76\0\76\0\129\9\75\0",
	6400, "\76\0\76\0\129\9\75\0",
	6500, "\76\0\76\0\129\9\75\0",
	6600, "\76\0\76\0\129\9\75\0",
	6700, "\76\0\76\0\129\9\75\0",
	6800, "\76\0\76\0\129\9\75\0",
	6900, "\76\0\76\0\129\9\75\0",
	7000, "\84\0\84\0\129\9\83\0",
	7100, "\84\0\84\0\129\9\83\0",
	7200, "\84\0\84\0\129\9\83\0",
	7300, "\84\0\84\0\129\9\83\0",
	7400, "\84\0\84\0\129\9\83\0",
	7500, "\84\0\84\0\129\9\83\0",
	7600, "\84\0\84\0\129\9\83\0",
	7700, "\84\0\84\0\129\9\83\0",
	7800, "\84\0\84\0\129\9\83\0",
	7900, "\84\0\84\0\129\9\83\0",
	8000, "\92\0\92\0\129\9\91\0",
	8100, "\92\0\92\0\129\9\91\0",
	8200, "\92\0\92\0\129\9\91\0",
	8300, "\92\0\92\0\129\9\91\0",
	8400, "\92\0\92\0\129\9\91\0",
	8500, "\92\0\92\0\129\9\91\0",
	8600, "\92\0\92\0\129\9\91\0",
	8700, "\92\0\92\0\129\9\91\0",
	8800, "\92\0\92\0\129\9\91\0",
	8900, "\92\0\92\0\129\9\91\0",
	9000, "\100\0\100\0\129\9\99\0",
	9100, "\100\0\100\0\129\9\99\0",
	9200, "\100\0\100\0\129\9\99\0",
	9300, "\100\0\100\0\129\9\99\0",
	9400, "\100\0\100\0\129\9\99\0",
	9500, "\100\0\100\0\129\9\99\0",
	9600, "\100\0\100\0\129\9\99\0",
	9700, "\100\0\100\0\129\9\99\0",
	9800, "\100\0\100\0\129\9\99\0",
	9900, "\100\0\100\0\129\9\99\0",
	10000, "\6\0\6\0\129\9\5\0",
	11000, "\6\0\6\0\129\9\5\0",
	12000, "\6\0\6\0\129\9\5\0",
	13000, "\6\0\6\0\129\9\5\0",
	14000, "\6\0\6\0\129\9\5\0",
	15000, "\6\0\6\0\129\9\5\0",
	16000, "\6\0\6\0\129\9\5\0",
	17000, "\6\0\6\0\129\9\5\0",
	18000, "\6\0\6\0\129\9\5\0",
	19000, "\6\0\6\0\129\9\5\0",
	20000, "\22\0\22\0\129\9\21\0",
	21000, "\22\0\22\0\129\9\21\0",
	22000, "\22\0\22\0\129\9\21\0",
	23000, "\22\0\22\0\129\9\21\0",
	24000, "\22\0\22\0\129\9\21\0",
	25000, "\22\0\22\0\129\9\21\0",
	26000, "\22\0\22\0\129\9\21\0",
	27000, "\22\0\22\0\129\9\21\0",
	28000, "\22\0\22\0\129\9\21\0",
	29000, "\22\0\22\0\129\9\21\0",
	30000, "\36\0\36\0\129\9\35\0",
	31000, "\36\0\36\0\129\9\35\0",
	32000, "\36\0\36\0\129\9\35\0",
	33000, "\36\0\36\0\129\9\35\0",
	34000, "\36\0\36\0\129\9\35\0",
	35000, "\36\0\36\0\129\9\35\0",
	36000, "\36\0\36\0\129\9\35\0",
	37000, "\36\0\36\0\129\9\35\0",
	38000, "\36\0\36\0\129\9\35\0",
	39000, "\36\0\36\0\129\9\35\0",
	40000, "\50\0\50\0\129\9\49\0",
	41000, "\50\0\50\0\129\9\49\0",
	42000, "\50\0\50\0\129\9\49\0",
	43000, "\50\0\50\0\129\9\49\0",
	44000, "\50\0\50\0\129\9\49\0",
	45000, "\50\0\50\0\129\9\49\0",
	46000, "\50\0\50\0\129\9\49\0",
	47000, "\50\0\50\0\129\9\49\0",
	48000, "\50\0\50\0\129\9\49\0",
	49000, "\50\0\50\0\129\9\49\0",
	50000, "\64\0\64\0\129\9\63\0",
	51000, "\64\0\64\0\129\9\63\0",
	52000, "\64\0\64\0\129\9\63\0",
	53000, "\64\0\64\0\129\9\63\0",
	54000, "\64\0\64\0\129\9\63\0",
	55000, "\64\0\64\0\129\9\63\0",
	56000, "\64\0\64\0\129\9\63\0",
	57000, "\64\0\64\0\129\9\63\0",
	58000, "\64\0\64\0\129\9\63\0",
	59000, "\64\0\64\0\129\9\63\0",
	60000, "\72\0\72\0\129\9\71\0",
	61000, "\72\0\72\0\129\9\71\0",
	62000, "\72\0\72\0\129\9\71\0",
	63000, "\72\0\72\0\129\9\71\0",
	64000, "\72\0\72\0\129\9\71\0",
	65000, "\72\0\72\0\129\9\71\0",
	66000, "\72\0\72\0\129\9\71\0",
	67000, "\72\0\72\0\129\9\71\0",
	68000, "\72\0\72\0\129\9\71\0",
	69000, "\72\0\72\0\129\9\71\0",
	70000, "\80\0\80\0\129\9\79\0",
	71000, "\80\0\80\0\129\9\79\0",
	72000, "\80\0\80\0\129\9\79\0",
	73000, "\80\0\80\0\129\9\79\0",
	74000, "\80\0\80\0\129\9\79\0",
	75000, "\80\0\80\0\129\9\79\0",
	76000, "\80\0\80\0\129\9\79\0",
	77000, "\80\0\80\0\129\9\79\0",
	78000, "\80\0\80\0\129\9\79\0",
	79000, "\80\0\80\0\129\9\79\0",
	80000, "\88\0\88\0\129\9\87\0",
	81000, "\88\0\88\0\129\9\87\0",
	82000, "\88\0\88\0\129\9\87\0",
	83000, "\88\0\88\0\129\9\87\0",
	84000, "\88\0\88\0\129\9\87\0",
	85000, "\88\0\88\0\129\9\87\0",
	86000, "\88\0\88\0\129\9\87\0",
	87000, "\88\0\88\0\129\9\87\0",
	88000, "\88\0\88\0\129\9\87\0",
	89000, "\88\0\88\0\129\9\87\0",
	90000, "\96\0\96\0\129\9\95\0",
	91000, "\96\0\96\0\129\9\95\0",
	92000, "\96\0\96\0\129\9\95\0",
	93000, "\96\0\96\0\129\9\95\0",
	94000, "\96\0\96\0\129\9\95\0",
	95000, "\96\0\96\0\129\9\95\0",
	96000, "\96\0\96\0\129\9\95\0",
	97000, "\96\0\96\0\129\9\95\0",
	98000, "\96\0\96\0\129\9\95\0",
	99000, "\96\0\96\0\129\9\95\0",
	100000, "\2\0\2\0\129\9\1\0",
	110000, "\2\0\2\0\129\9\1\0",
	120000, "\2\0\2\0\129\9\1\0",
	130000, "\2\0\2\0\129\9\1\0",
	140000, "\2\0\2\0\129\9\1\0",
	150000, "\10\0\10\0\129\9\9\0",
	160000, "\10\0\10\0\129\9\9\0",
	170000, "\10\0\10\0\129\9\9\0",
	180000, "\10\0\10\0\129\9\9\0",
	190000, "\10\0\10\0\129\9\9\0",
	200000, "\18\0\18\0\129\9\17\0",
	210000, "\18\0\18\0\129\9\17\0",
	220000, "\18\0\18\0\129\9\17\0",
	230000, "\18\0\18\0\129\9\17\0",
	240000, "\18\0\18\0\129\9\17\0",
	250000, "\26\0\26\0\129\9\25\0",
	260000, "\26\0\26\0\129\9\25\0",
	270000, "\26\0\26\0\129\9\25\0",
	280000, "\26\0\26\0\129\9\25\0",
	290000, "\26\0\26\0\129\9\25\0",
	300000, "\32\0\32\0\129\9\31\0",
	310000, "\32\0\32\0\129\9\31\0",
	320000, "\32\0\32\0\129\9\31\0",
	330000, "\32\0\32\0\129\9\31\0",
	340000, "\32\0\32\0\129\9\31\0",
	350000, "\40\0\40\0\129\9\39\0",
	360000, "\40\0\40\0\129\9\39\0",
	370000, "\40\0\40\0\129\9\39\0",
	380000, "\40\0\40\0\129\9\39\0",
	390000, "\40\0\40\0\129\9\39\0",
	400000, "\46\0\46\0\129\9\45\0",
	410000, "\46\0\46\0\129\9\45\0",
	420000, "\46\0\46\0\129\9\45\0",
	430000, "\46\0\46\0\129\9\45\0",
	440000, "\46\0\46\0\129\9\45\0",
	450000, "\54\0\54\0\129\9\53\0",
	460000, "\54\0\54\0\129\9\53\0",
	470000, "\54\0\54\0\129\9\53\0",
	480000, "\54\0\54\0\129\9\53\0",
	490000, "\54\0\54\0\129\9\53\0",
	500000, "\60\0\60\0\129\9\59\0",
}

distances.feet = {
	0, "\109\0\0\0",
	61, "\109\0\0\0",
	91, "\115\0\0\0",
	122, "\121\0\0\0",
	152, "\123\0\0\0",
	183, "\127\0\0\0",
	213, "\129\1\0\0\0",
	244, "\129\3\0\0\0",
	274, "\129\5\0\0\0",
	402, "\129\8\0\0\0",
	805, "\129\7\0\0\0",
	1127, "\120\0\0\0",
	1609, "\107\0\14\0\129\9\13\0",
	1770, "\107\0\14\0\129\9\13\0",
	1931, "\107\0\14\0\129\9\13\0",
	2092, "\107\0\14\0\129\9\13\0",
	2253, "\107\0\14\0\129\9\13\0",
	2414, "\107\0\14\0\129\9\13\0",
	2575, "\107\0\14\0\129\9\13\0",
	2736, "\107\0\14\0\129\9\13\0",
	2897, "\107\0\14\0\129\9\13\0",
	3058, "\107\0\14\0\129\9\13\0",
	3219, "\114\0\30\0\129\9\29\0",
	3380, "\114\0\30\0\129\9\29\0",
	3541, "\114\0\30\0\129\9\29\0",
	3701, "\114\0\30\0\129\9\29\0",
	3862, "\114\0\30\0\129\9\29\0",
	4023, "\114\0\30\0\129\9\29\0",
	4184, "\114\0\30\0\129\9\29\0",
	4345, "\114\0\30\0\129\9\29\0",
	4506, "\114\0\30\0\129\9\29\0",
	4667, "\114\0\30\0\129\9\29\0",
	4828, "\119\0\44\0\129\9\43\0",
	4989, "\119\0\44\0\129\9\43\0",
	5150, "\119\0\44\0\129\9\43\0",
	5311, "\119\0\44\0\129\9\43\0",
	5472, "\119\0\44\0\129\9\43\0",
	5633, "\119\0\44\0\129\9\43\0",
	5794, "\119\0\44\0\129\9\43\0",
	5955, "\119\0\44\0\129\9\43\0",
	6116, "\119\0\44\0\129\9\43\0",
	6276, "\119\0\44\0\129\9\43\0",
	6437, "\58\0\58\0\129\9\57\0",
	6598, "\58\0\58\0\129\9\57\0",
	6759, "\58\0\58\0\129\9\57\0",
	6920, "\58\0\58\0\129\9\57\0",
	7081, "\58\0\58\0\129\9\57\0",
	7242, "\58\0\58\0\129\9\57\0",
	7403, "\58\0\58\0\129\9\57\0",
	7564, "\58\0\58\0\129\9\57\0",
	7725, "\58\0\58\0\129\9\57\0",
	7886, "\58\0\58\0\129\9\57\0",
	8047, "\70\0\70\0\129\9\69\0",
	8208, "\70\0\70\0\129\9\69\0",
	8369, "\70\0\70\0\129\9\69\0",
	8530, "\70\0\70\0\129\9\69\0",
	8690, "\70\0\70\0\129\9\69\0",
	8851, "\70\0\70\0\129\9\69\0",
	9012, "\70\0\70\0\129\9\69\0",
	9173, "\70\0\70\0\129\9\69\0",
	9334, "\70\0\70\0\129\9\69\0",
	9495, "\70\0\70\0\129\9\69\0",
	9656, "\78\0\78\0\129\9\77\0",
	9817, "\78\0\78\0\129\9\77\0",
	9978, "\78\0\78\0\129\9\77\0",
	10139, "\78\0\78\0\129\9\77\0",
	10300, "\78\0\78\0\129\9\77\0",
	10461, "\78\0\78\0\129\9\77\0",
	10622, "\78\0\78\0\129\9\77\0",
	10783, "\78\0\78\0\129\9\77\0",
	10944, "\78\0\78\0\129\9\77\0",
	11104, "\78\0\78\0\129\9\77\0",
	11265, "\86\0\86\0\129\9\85\0",
	11426, "\86\0\86\0\129\9\85\0",
	11587, "\86\0\86\0\129\9\85\0",
	11748, "\86\0\86\0\129\9\85\0",
	11909, "\86\0\86\0\129\9\85\0",
	12070, "\86\0\86\0\129\9\85\0",
	12231, "\86\0\86\0\129\9\85\0",
	12392, "\86\0\86\0\129\9\85\0",
	12553, "\86\0\86\0\129\9\85\0",
	12714, "\86\0\86\0\129\9\85\0",
	12875, "\94\0\94\0\129\9\93\0",
	13036, "\94\0\94\0\129\9\93\0",
	13197, "\94\0\94\0\129\9\93\0",
	13358, "\94\0\94\0\129\9\93\0",
	13518, "\94\0\94\0\129\9\93\0",
	13679, "\94\0\94\0\129\9\93\0",
	13840, "\94\0\94\0\129\9\93\0",
	14001, "\94\0\94\0\129\9\93\0",
	14162, "\94\0\94\0\129\9\93\0",
	14323, "\94\0\94\0\129\9\93\0",
	14484, "\102\0\102\0\129\9\101\0",
	14645, "\102\0\102\0\129\9\101\0",
	14806, "\102\0\102\0\129\9\101\0",
	14967, "\102\0\102\0\129\9\101\0",
	15128, "\102\0\102\0\129\9\101\0",
	15289, "\102\0\102\0\129\9\101\0",
	15450, "\102\0\102\0\129\9\101\0",
	15611, "\102\0\102\0\129\9\101\0",
	15772, "\102\0\102\0\129\9\101\0",
	15933, "\102\0\102\0\129\9\101\0",
	16093, "\8\0\8\0\129\9\7\0",
	17703, "\8\0\8\0\129\9\7\0",
	19312, "\8\0\8\0\129\9\7\0",
	20921, "\8\0\8\0\129\9\7\0",
	22531, "\8\0\8\0\129\9\7\0",
	24140, "\8\0\8\0\129\9\7\0",
	25750, "\8\0\8\0\129\9\7\0",
	27359, "\8\0\8\0\129\9\7\0",
	28968, "\8\0\8\0\129\9\7\0",
	30578, "\8\0\8\0\129\9\7\0",
	32187, "\24\0\24\0\129\9\23\0",
	33796, "\24\0\24\0\129\9\23\0",
	35406, "\24\0\24\0\129\9\23\0",
	37015, "\24\0\24\0\129\9\23\0",
	38624, "\24\0\24\0\129\9\23\0",
	40234, "\24\0\24\0\129\9\23\0",
	41843, "\24\0\24\0\129\9\23\0",
	43452, "\24\0\24\0\129\9\23\0",
	45062, "\24\0\24\0\129\9\23\0",
	46671, "\24\0\24\0\129\9\23\0",
	48280, "\38\0\38\0\129\9\37\0",
	49890, "\38\0\38\0\129\9\37\0",
	51499, "\38\0\38\0\129\9\37\0",
	53108, "\38\0\38\0\129\9\37\0",
	54718, "\38\0\38\0\129\9\37\0",
	56327, "\38\0\38\0\129\9\37\0",
	57936, "\38\0\38\0\129\9\37\0",
	59546, "\38\0\38\0\129\9\37\0",
	61155, "\38\0\38\0\129\9\37\0",
	62764, "\38\0\38\0\129\9\37\0",
	64374, "\52\0\52\0\129\9\51\0",
	65983, "\52\0\52\0\129\9\51\0",
	67592, "\52\0\52\0\129\9\51\0",
	69202, "\52\0\52\0\129\9\51\0",
	70811, "\52\0\52\0\129\9\51\0",
	72420, "\52\0\52\0\129\9\51\0",
	74030, "\52\0\52\0\129\9\51\0",
	75639, "\52\0\52\0\129\9\51\0",
	77249, "\52\0\52\0\129\9\51\0",
	78858, "\52\0\52\0\129\9\51\0",
	80467, "\66\0\66\0\129\9\65\0",
	82077, "\66\0\66\0\129\9\65\0",
	83686, "\66\0\66\0\129\9\65\0",
	85295, "\66\0\66\0\129\9\65\0",
	86905, "\66\0\66\0\129\9\65\0",
	88514, "\66\0\66\0\129\9\65\0",
	90123, "\66\0\66\0\129\9\65\0",
	91733, "\66\0\66\0\129\9\65\0",
	93342, "\66\0\66\0\129\9\65\0",
	94951, "\66\0\66\0\129\9\65\0",
	96561, "\74\0\74\0\129\9\73\0",
	98170, "\74\0\74\0\129\9\73\0",
	99779, "\74\0\74\0\129\9\73\0",
	101389, "\74\0\74\0\129\9\73\0",
	102998, "\74\0\74\0\129\9\73\0",
	104607, "\74\0\74\0\129\9\73\0",
	106217, "\74\0\74\0\129\9\73\0",
	107826, "\74\0\74\0\129\9\73\0",
	109435, "\74\0\74\0\129\9\73\0",
	111045, "\74\0\74\0\129\9\73\0",
	112654, "\82\0\82\0\129\9\81\0",
	114263, "\82\0\82\0\129\9\81\0",
	115873, "\82\0\82\0\129\9\81\0",
	117482, "\82\0\82\0\129\9\81\0",
	119091, "\82\0\82\0\129\9\81\0",
	120701, "\82\0\82\0\129\9\81\0",
	122310, "\82\0\82\0\129\9\81\0",
	123919, "\82\0\82\0\129\9\81\0",
	125529, "\82\0\82\0\129\9\81\0",
	127138, "\82\0\82\0\129\9\81\0",
	128748, "\90\0\90\0\129\9\89\0",
	130357, "\90\0\90\0\129\9\89\0",
	131966, "\90\0\90\0\129\9\89\0",
	133576, "\90\0\90\0\129\9\89\0",
	135185, "\90\0\90\0\129\9\89\0",
	136794, "\90\0\90\0\129\9\89\0",
	138404, "\90\0\90\0\129\9\89\0",
	140013, "\90\0\90\0\129\9\89\0",
	141622, "\90\0\90\0\129\9\89\0",
	143232, "\90\0\90\0\129\9\89\0",
	144841, "\98\0\98\0\129\9\97\0",
	146450, "\98\0\98\0\129\9\97\0",
	148060, "\98\0\98\0\129\9\97\0",
	149669, "\98\0\98\0\129\9\97\0",
	151278, "\98\0\98\0\129\9\97\0",
	152888, "\98\0\98\0\129\9\97\0",
	154497, "\98\0\98\0\129\9\97\0",
	156106, "\98\0\98\0\129\9\97\0",
	157716, "\98\0\98\0\129\9\97\0",
	159325, "\98\0\98\0\129\9\97\0",
	160934, "\4\0\4\0\129\9\3\0",
	177028, "\4\0\4\0\129\9\3\0",
	193121, "\4\0\4\0\129\9\3\0",
	209215, "\4\0\4\0\129\9\3\0",
	225308, "\4\0\4\0\129\9\3\0",
	241402, "\4\0\4\0\129\9\3\0",
	257495, "\4\0\4\0\129\9\3\0",
	273588, "\4\0\4\0\129\9\3\0",
	289682, "\4\0\4\0\129\9\3\0",
	305775, "\4\0\4\0\129\9\3\0",
	321869, "\20\0\20\0\129\9\19\0",
	337962, "\20\0\20\0\129\9\19\0",
	354056, "\20\0\20\0\129\9\19\0",
	370149, "\20\0\20\0\129\9\19\0",
	386243, "\20\0\20\0\129\9\19\0",
	402336, "\20\0\20\0\129\9\19\0",
	418429, "\20\0\20\0\129\9\19\0",
	434523, "\20\0\20\0\129\9\19\0",
	450616, "\20\0\20\0\129\9\19\0",
	466710, "\20\0\20\0\129\9\19\0",
	482803, "\34\0\34\0\129\9\33\0",
	498897, "\34\0\34\0\129\9\33\0",
	514990, "\34\0\34\0\129\9\33\0",
	531084, "\34\0\34\0\129\9\33\0",
	547177, "\34\0\34\0\129\9\33\0",
	563270, "\34\0\34\0\129\9\33\0",
	579364, "\34\0\34\0\129\9\33\0",
	595457, "\34\0\34\0\129\9\33\0",
	611551, "\34\0\34\0\129\9\33\0",
	627644, "\34\0\34\0\129\9\33\0",
	643738, "\48\0\48\0\129\9\47\0",
	659831, "\48\0\48\0\129\9\47\0",
	675924, "\48\0\48\0\129\9\47\0",
	692018, "\48\0\48\0\129\9\47\0",
	708111, "\48\0\48\0\129\9\47\0",
	724205, "\48\0\48\0\129\9\47\0",
	740298, "\48\0\48\0\129\9\47\0",
	756392, "\48\0\48\0\129\9\47\0",
	772485, "\48\0\48\0\129\9\47\0",
	788579, "\48\0\48\0\129\9\47\0",
	804672, "\62\0\62\0\129\9\61\0",
}

distances.yards = {
	0, "\126\0\0\0",
	46, "\126\0\0\0",
	146, "\105\0\0\0",
	183, "\111\0\0\0",
	274, "\117\0\0\0",
	402, "\129\8\0\0\0",
	805, "\129\7\0\0\0",
	1127, "\120\0\0\0",
	1609, "\107\0\14\0\129\9\13\0",
	1770, "\107\0\14\0\129\9\13\0",
	1931, "\107\0\14\0\129\9\13\0",
	2092, "\107\0\14\0\129\9\13\0",
	2253, "\107\0\14\0\129\9\13\0",
	2414, "\107\0\14\0\129\9\13\0",
	2575, "\107\0\14\0\129\9\13\0",
	2736, "\107\0\14\0\129\9\13\0",
	2897, "\107\0\14\0\129\9\13\0",
	3058, "\107\0\14\0\129\9\13\0",
	3219, "\114\0\30\0\129\9\29\0",
	3380, "\114\0\30\0\129\9\29\0",
	3541, "\114\0\30\0\129\9\29\0",
	3701, "\114\0\30\0\129\9\29\0",
	3862, "\114\0\30\0\129\9\29\0",
	4023, "\114\0\30\0\129\9\29\0",
	4184, "\114\0\30\0\129\9\29\0",
	4345, "\114\0\30\0\129\9\29\0",
	4506, "\114\0\30\0\129\9\29\0",
	4667, "\114\0\30\0\129\9\29\0",
	4828, "\119\0\44\0\129\9\43\0",
	4989, "\119\0\44\0\129\9\43\0",
	5150, "\119\0\44\0\129\9\43\0",
	5311, "\119\0\44\0\129\9\43\0",
	5472, "\119\0\44\0\129\9\43\0",
	5633, "\119\0\44\0\129\9\43\0",
	5794, "\119\0\44\0\129\9\43\0",
	5955, "\119\0\44\0\129\9\43\0",
	6116, "\119\0\44\0\129\9\43\0",
	6276, "\119\0\44\0\129\9\43\0",
	6437, "\58\0\58\0\129\9\57\0",
	6598, "\58\0\58\0\129\9\57\0",
	6759, "\58\0\58\0\129\9\57\0",
	6920, "\58\0\58\0\129\9\57\0",
	7081, "\58\0\58\0\129\9\57\0",
	7242, "\58\0\58\0\129\9\57\0",
	7403, "\58\0\58\0\129\9\57\0",
	7564, "\58\0\58\0\129\9\57\0",
	7725, "\58\0\58\0\129\9\57\0",
	7886, "\58\0\58\0\129\9\57\0",
	8047, "\70\0\70\0\129\9\69\0",
	8208, "\70\0\70\0\129\9\69\0",
	8369, "\70\0\70\0\129\9\69\0",
	8530, "\70\0\70\0\129\9\69\0",
	8690, "\70\0\70\0\129\9\69\0",
	8851, "\70\0\70\0\129\9\69\0",
	9012, "\70\0\70\0\129\9\69\0",
	9173, "\70\0\70\0\129\9\69\0",
	9334, "\70\0\70\0\129\9\69\0",
	9495, "\70\0\70\0\129\9\69\0",
	9656, "\78\0\78\0\129\9\77\0",
	9817, "\78\0\78\0\129\9\77\0",
	9978, "\78\0\78\0\129\9\77\0",
	10139, "\78\0\78\0\129\9\77\0",
	10300, "\78\0\78\0\129\9\77\0",
	10461, "\78\0\78\0\129\9\77\0",
	10622, "\78\0\78\0\129\9\77\0",
	10783, "\78\0\78\0\129\9\77\0",
	10944, "\78\0\78\0\129\9\77\0",
	11104, "\78\0\78\0\129\9\77\0",
	11265, "\86\0\86\0\129\9\85\0",
	11426, "\86\0\86\0\129\9\85\0",
	11587, "\86\0\86\0\129\9\85\0",
	11748, "\86\0\86\0\129\9\85\0",
	11909, "\86\0\86\0\129\9\85\0",
	12070, "\86\0\86\0\129\9\85\0",
	12231, "\86\0\86\0\129\9\85\0",
	12392, "\86\0\86\0\129\9\85\0",
	12553, "\86\0\86\0\129\9\85\0",
	12714, "\86\0\86\0\129\9\85\0",
	12875, "\94\0\94\0\129\9\93\0",
	13036, "\94\0\94\0\129\9\93\0",
	13197, "\94\0\94\0\129\9\93\0",
	13358, "\94\0\94\0\129\9\93\0",
	13518, "\94\0\94\0\129\9\93\0",
	13679, "\94\0\94\0\129\9\93\0",
	13840, "\94\0\94\0\129\9\93\0",
	14001, "\94\0\94\0\129\9\93\0",
	14162, "\94\0\94\0\129\9\93\0",
	14323, "\94\0\94\0\129\9\93\0",
	14484, "\102\0\102\0\129\9\101\0",
	14645, "\102\0\102\0\129\9\101\0",
	14806, "\102\0\102\0\129\9\101\0",
	14967, "\102\0\102\0\129\9\101\0",
	15128, "\102\0\102\0\129\9\101\0",
	15289, "\102\0\102\0\129\9\101\0",
	15450, "\102\0\102\0\129\9\101\0",
	15611, "\102\0\102\0\129\9\101\0",
	15772, "\102\0\102\0\129\9\101\0",
	15933, "\102\0\102\0\129\9\101\0",
	16093, "\8\0\8\0\129\9\7\0",
	17703, "\8\0\8\0\129\9\7\0",
	19312, "\8\0\8\0\129\9\7\0",
	20921, "\8\0\8\0\129\9\7\0",
	22531, "\8\0\8\0\129\9\7\0",
	24140, "\8\0\8\0\129\9\7\0",
	25750, "\8\0\8\0\129\9\7\0",
	27359, "\8\0\8\0\129\9\7\0",
	28968, "\8\0\8\0\129\9\7\0",
	30578, "\8\0\8\0\129\9\7\0",
	32187, "\24\0\24\0\129\9\23\0",
	33796, "\24\0\24\0\129\9\23\0",
	35406, "\24\0\24\0\129\9\23\0",
	37015, "\24\0\24\0\129\9\23\0",
	38624, "\24\0\24\0\129\9\23\0",
	40234, "\24\0\24\0\129\9\23\0",
	41843, "\24\0\24\0\129\9\23\0",
	43452, "\24\0\24\0\129\9\23\0",
	45062, "\24\0\24\0\129\9\23\0",
	46671, "\24\0\24\0\129\9\23\0",
	48280, "\38\0\38\0\129\9\37\0",
	49890, "\38\0\38\0\129\9\37\0",
	51499, "\38\0\38\0\129\9\37\0",
	53108, "\38\0\38\0\129\9\37\0",
	54718, "\38\0\38\0\129\9\37\0",
	56327, "\38\0\38\0\129\9\37\0",
	57936, "\38\0\38\0\129\9\37\0",
	59546, "\38\0\38\0\129\9\37\0",
	61155, "\38\0\38\0\129\9\37\0",
	62764, "\38\0\38\0\129\9\37\0",
	64374, "\52\0\52\0\129\9\51\0",
	65983, "\52\0\52\0\129\9\51\0",
	67592, "\52\0\52\0\129\9\51\0",
	69202, "\52\0\52\0\129\9\51\0",
	70811, "\52\0\52\0\129\9\51\0",
	72420, "\52\0\52\0\129\9\51\0",
	74030, "\52\0\52\0\129\9\51\0",
	75639, "\52\0\52\0\129\9\51\0",
	77249, "\52\0\52\0\129\9\51\0",
	78858, "\52\0\52\0\129\9\51\0",
	80467, "\66\0\66\0\129\9\65\0",
	82077, "\66\0\66\0\129\9\65\0",
	83686, "\66\0\66\0\129\9\65\0",
	85295, "\66\0\66\0\129\9\65\0",
	86905, "\66\0\66\0\129\9\65\0",
	88514, "\66\0\66\0\129\9\65\0",
	90123, "\66\0\66\0\129\9\65\0",
	91733, "\66\0\66\0\129\9\65\0",
	93342, "\66\0\66\0\129\9\65\0",
	94951, "\66\0\66\0\129\9\65\0",
	96561, "\74\0\74\0\129\9\73\0",
	98170, "\74\0\74\0\129\9\73\0",
	99779, "\74\0\74\0\129\9\73\0",
	101389, "\74\0\74\0\129\9\73\0",
	102998, "\74\0\74\0\129\9\73\0",
	104607, "\74\0\74\0\129\9\73\0",
	106217, "\74\0\74\0\129\9\73\0",
	107826, "\74\0\74\0\129\9\73\0",
	109435, "\74\0\74\0\129\9\73\0",
	111045, "\74\0\74\0\129\9\73\0",
	112654, "\82\0\82\0\129\9\81\0",
	114263, "\82\0\82\0\129\9\81\0",
	115873, "\82\0\82\0\129\9\81\0",
	117482, "\82\0\82\0\129\9\81\0",
	119091, "\82\0\82\0\129\9\81\0",
	120701, "\82\0\82\0\129\9\81\0",
	122310, "\82\0\82\0\129\9\81\0",
	123919, "\82\0\82\0\129\9\81\0",
	125529, "\82\0\82\0\129\9\81\0",
	127138, "\82\0\82\0\129\9\81\0",
	128748, "\90\0\90\0\129\9\89\0",
	130357, "\90\0\90\0\129\9\89\0",
	131966, "\90\0\90\0\129\9\89\0",
	133576, "\90\0\90\0\129\9\89\0",
	135185, "\90\0\90\0\129\9\89\0",
	136794, "\90\0\90\0\129\9\89\0",
	138404, "\90\0\90\0\129\9\89\0",
	140013, "\90\0\90\0\129\9\89\0",
	141622, "\90\0\90\0\129\9\89\0",
	143232, "\90\0\90\0\129\9\89\0",
	144841, "\98\0\98\0\129\9\97\0",
	146450, "\98\0\98\0\129\9\97\0",
	148060, "\98\0\98\0\129\9\97\0",
	149669, "\98\0\98\0\129\9\97\0",
	151278, "\98\0\98\0\129\9\97\0",
	152888, "\98\0\98\0\129\9\97\0",
	154497, "\98\0\98\0\129\9\97\0",
	156106, "\98\0\98\0\129\9\97\0",
	157716, "\98\0\98\0\129\9\97\0",
	159325, "\98\0\98\0\129\9\97\0",
	160934, "\4\0\4\0\129\9\3\0",
	177028, "\4\0\4\0\129\9\3\0",
	193121, "\4\0\4\0\129\9\3\0",
	209215, "\4\0\4\0\129\9\3\0",
	225308, "\4\0\4\0\129\9\3\0",
	241402, "\4\0\4\0\129\9\3\0",
	257495, "\4\0\4\0\129\9\3\0",
	273588, "\4\0\4\0\129\9\3\0",
	289682, "\4\0\4\0\129\9\3\0",
	305775, "\4\0\4\0\129\9\3\0",
	321869, "\20\0\20\0\129\9\19\0",
	337962, "\20\0\20\0\129\9\19\0",
	354056, "\20\0\20\0\129\9\19\0",
	370149, "\20\0\20\0\129\9\19\0",
	386243, "\20\0\20\0\129\9\19\0",
	402336, "\20\0\20\0\129\9\19\0",
	418429, "\20\0\20\0\129\9\19\0",
	434523, "\20\0\20\0\129\9\19\0",
	450616, "\20\0\20\0\129\9\19\0",
	466710, "\20\0\20\0\129\9\19\0",
	482803, "\34\0\34\0\129\9\33\0",
	498897, "\34\0\34\0\129\9\33\0",
	514990, "\34\0\34\0\129\9\33\0",
	531084, "\34\0\34\0\129\9\33\0",
	547177, "\34\0\34\0\129\9\33\0",
	563270, "\34\0\34\0\129\9\33\0",
	579364, "\34\0\34\0\129\9\33\0",
	595457, "\34\0\34\0\129\9\33\0",
	611551, "\34\0\34\0\129\9\33\0",
	627644, "\34\0\34\0\129\9\33\0",
	643738, "\48\0\48\0\129\9\47\0",
	659831, "\48\0\48\0\129\9\47\0",
	675924, "\48\0\48\0\129\9\47\0",
	692018, "\48\0\48\0\129\9\47\0",
	708111, "\48\0\48\0\129\9\47\0",
	724205, "\48\0\48\0\129\9\47\0",
	740298, "\48\0\48\0\129\9\47\0",
	756392, "\48\0\48\0\129\9\47\0",
	772485, "\48\0\48\0\129\9\47\0",
	788579, "\48\0\48\0\129\9\47\0",
	804672, "\62\0\62\0\129\9\61\0",
}

ordinals = {
	{L"1st", L"1stb", nil},
	{L"2nd", L"2ndb", nil},
	{L"3rd", L"3rdb", nil},
	{L"4th", L"4thb", nil},
	{L"5th", L"5thb", nil},
	{L"6th", L"6thb", nil},
	{L"7th", L"7thb", nil},
	{L"8th", L"8thb", nil},
	{L"9th", L"9thb", nil},
}

